## CORBA Interface ISessionAdministration

The SessionAdministration interface contains administrative methods that are used to control the actions of the session.

### Definition

CORBA Module SASIOMCommon

### ISessionAdministration Description

The SessionAdministration interface contains administrative methods that are used to control the actions of the session.

CORBA Definitions
method EndSession | Terminate the session.
method ResetPerformanceCounters |
method ListCategories | Return a list of the named value categories available to this session.
method UseCategory | Creates a FilteredList component to manipulate the category's named values that pass the given filter.

Java Classes
ISessionAdministrationHelper | Used to manipulate the ISessionAdministration type
ISessionAdministrationHolder | Used to process the ISessionAdministration type as an out parameter

Java Interfaces
ISessionAdministration | The SessionAdministration interface contains administrative methods that are used to control the actions of the session.

Java Interface ISessionAdministration

The SessionAdministration interface contains administrative methods that are used to control the actions of the session.

Package com.sas.iom.SASIOMCommon

ISessionAdministration Description
The SessionAdministration interface contains administrative methods that are used to control the actions of the session.

`public interface ISessionAdministration
extends org.omg.CORBA.Object`

Method Summary

void | EndSession () Terminate the session.
void | ResetPerformanceCounters ()
java.lang.String[] | ListCategories ( ) throws ( GenericError ); Return a list of the named value categories available to this session.
IFilteredList | UseCategory ( java.lang.String category , java.lang.String filter ) throws ( GenericError ); Creates a FilteredList component to manipulate the category's named values that pass the given filter.

Java Class ISessionAdministrationHelper

public class ISessionAdministrationHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the ISessionAdministration type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ISessionAdministrationHelper

Java Class ISessionAdministrationHolder

public class ISessionAdministrationHolder

Description
Implementing class for methods (_read, _write, _type) used to process the ISessionAdministration type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.ISessionAdministrationHolder

CORBA Method EndSession

Terminate the session.

Description

Usage

Java Method EndSession

`void` EndSession ( )

Example

CORBA Method ResetPerformanceCounters

Description

Usage

Java Method ResetPerformanceCounters

`void` ResetPerformanceCounters ( )

Example

CORBA Method ListCategories

Return a list of the named value categories available to this session.

Description

Usage

Java Method ListCategories

`java.lang.String[]` ListCategories (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method UseCategory

Creates a FilteredList component to manipulate the category's named values that pass the given filter.

Description

Usage

Java Method UseCategory

`public IFilteredList` UseCategory (

        java.lang.String category ,
        java.lang.String filter
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
category | in | java.lang.String |
filter | in | java.lang.String |

Example